## MacPorts-1.8.0-beta1.tar.bz2

=== src/cregistry/Makefile ===
# $Id: Makefile 54795 2009-08-02 05:19:57Z toby@macports.org $

OBJS = registry.o entry.o sql.o
STLIB_NAME = cregistry.a
RANLIB = ranlib


include ../../Mk/macports.autoconf.mk


all:: ${STLIB_NAME}

.c.o:
	${CC} -c -DUSE_TCL_STUBS ${CFLAGS} ${CPPFLAGS} ${SHLIB_CFLAGS} $< -o $@

${STLIB_NAME}:: ${OBJS}
	${STLIB_LD} ${STLIB_NAME} ${OBJS}
	${RANLIB} ${STLIB_NAME}

clean::
	rm -f ${STLIB_NAME} ${OBJS}

distclean:: clean

test:

install:: all

=== src/darwintracelib1.0/Makefile ===
OBJS=		darwintrace.o
SHLIB_NAME=	darwintrace${SHLIB_SUFFIX}
INSTALLDIR=	${DESTDIR}${datadir}/macports/Tcl/darwintrace1.0

include ../../Mk/macports.autoconf.mk

all:: ${SHLIB_NAME}

$(SHLIB_NAME):: ${OBJS}
	${SHLIB_LD} ${OBJS} -o ${SHLIB_NAME} ${SHLIB_LDFLAGS} ${LIBS}

clean::
	rm -f ${OBJS} ${SHLIB_NAME} so_locations

distclean:: clean

install:: all
	$(INSTALL) -d -o ${DSTUSR} -g ${DSTGRP} -m ${DSTMODE} ${INSTALLDIR}
	$(INSTALL) -o ${DSTUSR} -g ${DSTGRP} -m 444 ${SHLIB_NAME} ${INSTALLDIR}

=== src/macports1.0/Makefile ===
SRCS=		macports.tcl macports_dlist.tcl macports_util.tcl \
		macports_autoconf.tcl macports_index.tcl macports_fastload.tcl
OBJS=		macports.o get_systemconfiguration_proxies.o sysctl.o
SHLIB_NAME=	MacPorts${SHLIB_SUFFIX}

INSTALLDIR=	${DESTDIR}${TCL_PACKAGE_DIR}/macports1.0

include ../../Mk/macports.autoconf.mk
include ../../Mk/macports.tea.mk

ifeq ($(OBJC_RUNTIME), APPLE_RUNTIME)
	LIBS+= -framework CoreFoundation -framework SystemConfiguration
endif

test::
	${TCLSH} tests/macports_dlist.tcl
	${TCLSH} tests/macports_util.tcl

distclean:: clean
	rm -f macports_autoconf.tcl macports_fastload.tcl ${SHLIB_NAME}

install:: all
	$(INSTALL) -d -o ${DSTUSR} -g ${DSTGRP} -m ${DSTMODE} ${INSTALLDIR}

	$(SILENT) set -x; for file in ${SRCS}; do \
		$(INSTALL) -o ${DSTUSR} -g ${DSTGRP} -m 444 $$file ${INSTALLDIR}/$$file; \
	done

	echo "${TCL_PACKAGE_DIR}" > ${DESTDIR}${prefix}/var/macports/.tclpackage

	$(INSTALL) -o ${DSTUSR} -g ${DSTGRP} -m 444 pkgIndex.tcl ${INSTALLDIR}

=== src/package1.0/Makefile ===
INSTALLDIR=	${DESTDIR}${datadir}/macports/Tcl/package1.0

SRCS=	package.tcl portdmg.tcl portmdmg.tcl portmpkg.tcl portpkg.tcl portportpkg.tcl \
	portrpm.tcl portsrpm.tcl portdpkg.tcl portunarchive.tcl portarchive.tcl

include ../../Mk/macports.autoconf.mk

all:: pkgIndex.tcl

pkgIndex.tcl:
	$(SILENT) ../pkg_mkindex.sh .

clean::
	rm -f pkgIndex.tcl

distclean:: clean

test::

install:: all
	$(INSTALL) -d -o ${DSTUSR} -g ${DSTGRP} -m ${DSTMODE} ${INSTALLDIR}
	$(SILENT)set -x; for file in ${SRCS}; do \
		$(INSTALL) -o ${DSTUSR} -g ${DSTGRP} -m 444 $$file ${INSTALLDIR}; \
	done
	$(INSTALL) -o ${DSTUSR} -g ${DSTGRP} -m 444 pkgIndex.tcl ${INSTALLDIR}

=== src/registry2.0/Makefile ===
# $Id: Makefile 51386 2009-05-23 21:36:36Z raimue@macports.org $

SRCS = registry_util.tcl portimage.tcl portuninstall.tcl
OBJS = registry.o util.o \
	entry.o entryobj.o
	#graph.o graphobj.o

SHLIB_NAME= registry${SHLIB_SUFFIX}
INSTALLDIR= ${DESTDIR}${datadir}/macports/Tcl/registry2.0

include ../../Mk/macports.autoconf.mk
include ../../Mk/macports.tea.mk

LIBS+=	../cregistry/cregistry.a ${SQLITE3_LIBS}

.PHONY: test

test:: ${SHLIB_NAME}
	${TCLSH} tests/entry.tcl ${SHLIB_NAME}
	${TCLSH} tests/depends.tcl ${SHLIB_NAME}

install:: all
	$(INSTALL) -d -o ${DSTUSR} -g ${DSTGRP} -m ${DSTMODE} ${INSTALLDIR}
	$(INSTALL) -o ${DSTUSR} -g ${DSTGRP} -m 444 ${SHLIB_NAME} ${INSTALLDIR}
	$(SILENT) set -x; for file in ${SRCS}; do \
		$(INSTALL) -o ${DSTUSR} -g ${DSTGRP} -m 444 $$file ${INSTALLDIR}/$$file; \
	done
	$(INSTALL) -o ${DSTUSR} -g ${DSTGRP} -m 444 pkgIndex.tcl ${INSTALLDIR}

=== tests/test/case-insensitive-deactivate/Makefile ===
include ../../../Mk/macports.autoconf.mk

# see test-macports.conf for the value of prefix
TESTFILE=/tmp/macports-tests/opt/local/var/macports/case
TESTPORT1=casesensitive
TESTPORT2=CaseSensitivE

.PHONY: test

$(bindir)/port:
	@echo "Please install MacPorts before running this test"
	@exit 1

test:
	@echo port install $(TESTPORT1)
	@sed 's/@name@/$(TESTPORT1)/' Portfile.in > Portfile
	@PORTSRC=$(PORTSRC) $(bindir)/port -x install > output 2>&1 || (cat output; exit 1)
	@if [ ! -f $(TESTFILE) ]; then \
		echo "FAILED: File should exist after install: $(TESTFILE)" && exit 1; \
	fi
	@echo port uninstall $(TESTPORT2)
	@sed 's/@name@/$(TESTPORT2)/' Portfile.in > Portfile
	@PORTSRC=$(PORTSRC) $(bindir)/port -x uninstall > output 2>&1 || (cat output; exit 1)
	@if [ -f $(TESTFILE) ]; then \
		rm $(TESTFILE); \
		echo "FAILED: File should NOT exist after uninstall: $(TESTFILE)" && exit 1; \
	else \
		echo "SUCCESS!"; \
	fi
	rm Portfile
	rm output

=== tests/test/dependencies-c/Portfile ===
# $Id: Portfile 23701 2007-04-07 02:44:53Z pguyot@kallisys.net $

PortSystem 1.0
name		dependencies-c
version		1
categories	test
maintainers	pguyot@kallisys.net
description	Test port for dependencies
homepage	http://www.macports.org/
platforms	darwin

long_description ${description}

fetch		{}
checksum	{}
extract		{}
configure	{}
build		{}
destroot	{
	system "touch ${destroot}${prefix}/lib/${name}"
}

default_variants	+i_want_a

variant i_want_a {
	depends_lib-append	port:dependencies-a
}

test {
# testing consists in processing dependencies
}

=== tests/test/xcodeversion/Portfile ===
# $Id: Portfile 23699 2007-04-07 02:09:22Z pguyot@kallisys.net $

PortSystem 1.0
name		xcodeversion
version		1
categories	test
maintainers	pguyot@kallisys.net
description	Test port for \$xcodeversion
homepage	http://www.macports.org/
platforms	darwin

long_description ${description}

fetch		{}
checksum	{}
extract		{}
configure	{}
build		{}
destroot	{
	system "touch ${destroot}${prefix}/lib/${name}"
}

test {
	ui_msg "xcodeversion = $xcodeversion"
	ui_msg "xcodebuildcmd = $xcodebuildcmd"
}
